Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99254 - Display method arguments on expression step
Display method arguments on expression step
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on: 99257
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-28 15:13 UTC by Martin Entlicher
Modified: 2010-04-29 09:32 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-03-28 15:13:47 UTC
When expression step is used, program execution is stopped just before
individual method calls. In this case it's valuable to be able to see arguments
that are going to be passed to that method.
The list of arguments can be displayed in Local Variables for instance.
Comment 1 Martin Entlicher 2007-03-28 15:16:01 UTC
Scheduling for M9.
The arguments are already computed and we're just before entering the method.
Step Into + Pop will be used to find values of the arguments.
Comment 2 Martin Entlicher 2007-04-04 14:08:23 UTC
Fixed in trunk, together with issue #79131:

/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/EditorContextImpl.java,v
 <--  EditorContextImpl.java
new revision: 1.15; previous revision: 1.14
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java,v
done
Checking in
projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java;
/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java,v
 <--  MethodArgumentsScanner.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/debugger/jpda/EditorContextBridge.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/EditorContextBridge.java,v
 <--  EditorContextBridge.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/debugger/jpda/JPDADebuggerImpl.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/JPDADebuggerImpl.java,v
 <--  JPDADebuggerImpl.java
new revision: 1.119; previous revision: 1.118
done
Checking in src/org/netbeans/modules/debugger/jpda/expr/Evaluator.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/expr/Evaluator.java,v
 <--  Evaluator.java
new revision: 1.34; previous revision: 1.33
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java,v
done
Checking in src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java,v
 <--  ArgumentVariable.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/debugger/jpda/models/CallStackFrameImpl.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/CallStackFrameImpl.java,v
 <--  CallStackFrameImpl.java
new revision: 1.23; previous revision: 1.22
done
Checking in src/org/netbeans/modules/debugger/jpda/models/LocalsTreeModel.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/LocalsTreeModel.java,v
 <--  LocalsTreeModel.java
new revision: 1.41; previous revision: 1.40
done
Checking in src/org/netbeans/modules/debugger/jpda/util/Operator.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/util/Operator.java,v
 <--  Operator.java
new revision: 1.47; previous revision: 1.46
done
Checking in test/unit/src/org/netbeans/api/debugger/jpda/ExpressionStepTest.java;
/shared/data/ccvs/repository/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/ExpressionStepTest.java,v
 <--  ExpressionStepTest.java
new revision: 1.3; previous revision: 1.2
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif,v
done
Checking in ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif,v
 <--  ExprArguments.gif
initial revision: 1.1
done
Checking in ui/src/org/netbeans/modules/debugger/jpda/ui/models/Bundle.properties;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.40; previous revision: 1.39
done
Checking in
ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesNodeModel.java;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesNodeModel.java,v
 <--  VariablesNodeModel.java
new revision: 1.16; previous revision: 1.15
done
Checking in
ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesTableModel.java;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesTableModel.java,v
 <--  VariablesTableModel.java
new revision: 1.19; previous revision: 1.18
Comment 3 Martin Entlicher 2007-04-06 12:21:46 UTC
Just a clarification: due to
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6517249 the arguments are
displayed only when NetBeans is running on JDK 1.6.0 update 2.
Comment 4 Quality Engineering 2010-04-29 09:32:25 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo